Skip to main content
`Ctrl`+`K`

# PetscHMapIVIterGet

Get the value referenced by an iterator in the hash table

## Synopsis

    #include <petsc/private/hashmapiv.h>
    PetscErrorCode PetscHMapIVIterGet(PetscHMapIV ht, PetscHashIter iter, PetscScalar *val)

## Input Parameters

- ht - The hash table

- iter - The iterator

## Output Parameter

- val - The value

## See Also

`PetscHMapIVFind()`, `PetscHMapIVGet()`, `PetscHMapIVGetWithDefault()`

## Level

developer

## Location

include/petsc/private/hashmap.txt.h

Index of all PetscH routines
Table of Contents for all manual pages
Index of all manual pages